Mailinglist Archive: opensuse-buildservice (227 mails)

< Previous Next >
Re: [opensuse-buildservice] Help with rectifying build errors
  • From: Marcus Meissner <meissner@xxxxxxx>
  • Date: Tue, 30 Jan 2007 11:43:56 +0100
  • Message-id: <20070130104356.GA7277@xxxxxxx>
On Tue, Jan 30, 2007 at 10:39:38AM +0000, Andrew Wafaa wrote:
> Hi All,
>
> I've hit a stumbling block with building packages, some distros build fine and others just don't want to play ball. Some of the distros are complaining about libcurl not in the pkg-config, and others are complaining about ****. If possible could someone advise me on how to rectify these problems, please? The details of the errors are as follows, broken by distro:
>
> SLES9:
> + ./configure --prefix=/opt/bongo --localstatedir=/var/opt/bongo
> configure: error: cannot find install-sh or install.sh in . ./.. ./../..
>
> openSUSE Factory:
> + ./configure --prefix=/opt/bongo --localstatedir=/var/opt/bongo
> configure: error: cannot find install-sh or install.sh in . ./.. ./../..

I would suggest a "autoreconf -i -f" for those, unclear if it works.

> SUSE 10.0:
> checking for libcurl... Package libcurl was not found in the pkg-config search path. Perhaps you should add the directory containing `libcurl.pc' to the PKG_CONFIG_PATH environment variable No package 'libcurl' found
> configure: error: Library requirements (libcurl) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.

You will need curl-devel in the BuildRequires for those that miss libcurl.

> SUSE 9.3:
> checking for libcurl... Package libcurl was not found in the pkg-config search path.
> Perhaps you should add the directory containing `libcurl.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'libcurl' found
>
> configure: error: Library requirements (libcurl) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
>
> FC4:
> checking for libcurl... Package libcurl was not found in the pkg-config search path.
> Perhaps you should add the directory containing `libcurl.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'libcurl' found
>
> configure: error: Library requirements (libcurl) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
>
> Mandriva 2006:
> checking for libcurl... Package libcurl was not found in the pkg-config search path. Perhaps you should add the directory containing `libcurl.pc' to the PKG_CONFIG_PATH environment variable No package 'libcurl' found
> configure: error: Library requirements (libcurl) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
>
>
> Many thanks for your help, and also for the OBS which is great.
>
> Andy
>
> --
> Andrew Wafaa
> Business Tel: +44 (0)7919 522451
> Personal Tel: +44 (0)7974 074546
> e-Mail: andrew@xxxxxxxxxx
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
> For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
References